# Uses of Enum Class
java.lang.annotation.RetentionPolicy

Packages that use RetentionPolicy
Package
Description
java.lang.annotation
Provides library support for the Java programming language annotation facility.

## Uses of RetentionPolicy in java.lang.annotation

Subclasses with type arguments of type RetentionPolicy in java.lang.annotation
Modifier and Type
Class
Description
`enum`
`RetentionPolicy`
Annotation retention policy.
Methods in java.lang.annotation that return RetentionPolicy
Modifier and Type
Method
Description
`static RetentionPolicy`
RetentionPolicy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RetentionPolicy[]`
RetentionPolicy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.